Problema em baixar qualquer dependência da central do maven.
11/09/2014 09:08
0
Olá amigos do Grails Brasil, a alguns dias, estive com uma dificuldade no acesso às dependências. Consegui resolver a dificuldade configurando o proxy no grails, mas não apenas através do add-proxy e depois o set-proxy, pois por algum motivo, esses comandos apenas criam o arquivo ProxySettings com os valores nulos, sendo necessário edit-los manualmente no arquivo. Mas até eu descobrir isso, foi muita dor de cabeça.
Após essa configuração, obtive o seguinte resultado no meu relatório de dependências.



+--- javax.servlet:javax.servlet-api:3.0.1
+--- org.codehaus.groovy:groovy-all:2.1.9
+--- org.grails:grails-plugin-rest:2.3.11
| \--- org.slf4j:jcl-over-slf4j:1.7.5
| \--- org.slf4j:slf4j-api:1.7.5
| \--- org.grails:grails-plugin-datasource:2.3.11
| \--- org.springframework:spring-jdbc:3.2.9.RELEASE
| \--- org.apache.tomcat.embed:tomcat-embed-logging-log4j:7.0.50
| \--- org.apache.tomcat:tomcat-jdbc:7.0.50
| \--- org.apache.tomcat:tomcat-juli:7.0.50
| \--- org.springframework:spring-context:3.2.9.RELEASE
| \--- org.springframework:spring-aop:3.2.9.RELEASE
| \--- org.springframework:spring-expression:3.2.9.RELEASE
| \--- org.grails:grails-web:2.3.11
| \--- commons-collections:commons-collections:3.2.1
| \--- taglibs:standard:1.1.2
| \--- org.aspectj:aspectjweaver:1.7.4
| \--- org.springframework:spring-webmvc:3.2.9.RELEASE
| \--- org.grails:grails-databinding:2.3.11
| \--- commons-fileupload:commons-fileupload:1.3.1
| \--- opensymphony:sitemesh:2.4
| \--- org.springframework:spring-aspects:3.2.9.RELEASE
| \--- org.aspectj:aspectjrt:1.7.4
| \--- org.springframework:spring-context-support:3.2.9.RELEASE
| \--- xpp3:xpp3_min:1.1.4c
| \--- javax.servlet:jstl:1.1.2
| \--- commons-el:commons-el:1.0
| \--- commons-beanutils:commons-beanutils:1.8.3
| \--- org.objenesis:objenesis:1.4
| \--- org.grails:grails-spring:2.3.11
| \--- com.google.code.gson:gson:2.2.4
| \--- org.grails:grails-plugin-controllers:2.3.11
| \--- org.grails:grails-plugin-validation:2.3.11
+--- org.grails:grails-plugin-databinding:2.3.11
| \--- org.grails:grails-core:2.3.11
| \--- xalan:serializer:2.7.1
| \--- oro:oro:2.0.8
| \--- org.springframework:spring-web:3.2.9.RELEASE
| \--- aopalliance:aopalliance:1.0
| \--- asm:asm:3.3.1
| \--- commons-validator:commons-validator:1.3.1
| \--- org.hibernate.javax.persistence:hibernate-jpa-2.1-api:1.0.0.Final

| \--- org.grails:grails-bootstrap:2.3.11
| \--- org.springframework:spring-core:3.2.9.RELEASE
| \--- org.springframework:spring-beans:3.2.9.RELEASE
+--- org.grails:grails-plugin-i18n:2.3.11
| \--- commons-lang:commons-lang:2.6
+--- org.grails:grails-plugin-filters:2.3.11
+--- org.grails:grails-plugin-gsp:2.3.11
| \--- org.grails:grails-logging:2.3.11
| \--- org.grails:grails-plugin-codecs:2.3.11
| \--- commons-codec:commons-codec:1.6
+--- org.grails:grails-plugin-log4j:2.3.11
| \--- org.slf4j:jul-to-slf4j:1.7.5
+--- org.grails:grails-plugin-services:2.3.11
| \--- org.springframework:spring-tx:3.2.9.RELEASE
+--- org.grails:grails-plugin-servlets:2.3.11
+--- org.grails:grails-plugin-url-mappings:2.3.11
| \--- commons-io:commons-io:2.2
| \--- com.googlecode.concurrentlinkedhashmap:concurrentlinkedhashmap-lru:1.3
.1
+--- org.grails:grails-plugin-async:2.3.11
| \--- org.grails:grails-async:2.3.11
| \--- org.codehaus.gpars:gpars:1.1.0
| \--- org.multiverse:multiverse-core:0.7.0
| \--- org.codehaus.jsr166-mirror:jsr166y:1.7.0
+--- org.grails:grails-plugin-testing:2.3.11
| \--- org.grails:grails-plugin-domain-class:2.3.11
| \--- org.grails:grails-plugin-mimetypes:2.3.11
| \--- org.grails:grails-plugin-converters:2.3.11
| \--- org.grails:grails-test:2.3.11
| \--- org.springframework:spring-test:3.2.9.RELEASE
+--- org.spockframework:spock-core:0.7-groovy-2.0
| \--- org.hamcrest:hamcrest-core:1.3
+--- junit:junit:4.11
+--- com.h2database:h2:1.3.176
+--- log4j:log4j:1.2.17
+--- org.grails:grails-resources:2.3.11
>>>> org.postgresql:postgresql:9.3-1100-jdbc41
+--- org.grails.plugins:scaffolding:2.0.2
+--- org.grails.plugins:cache:1.1.1
| \--- org.grails.plugins:webxml:1.4.1
+--- org.grails.plugins:hibernate:3.6.10.9
| \--- org.hibernate:hibernate-ehcache:3.6.10.Final
| \--- net.sf.ehcache:ehcache-core:2.4.8
| \--- cglib:cglib:2.2.2
| \--- org.grails:grails-datastore-core:3.0.2.RELEASE
| \--- org.javassist:javassist:3.17.1-GA
| \--- javax.transaction:jta:1.1
| \--- org.grails:grails-datastore-gorm:3.0.2.RELEASE
| \--- org.grails:grails-datastore-gorm-hibernate:3.0.2.RELEASE
| \--- org.grails:grails-datastore-gorm-hibernate-core:3.0.2.RELEASE
| \--- antlr:antlr:2.7.7
| \--- org.grails:grails-datastore-gorm-plugin-support:3.0.2.RELEAS
E
| \--- dom4j:dom4j:1.6.1
| \--- org.springframework:spring-orm:3.2.8.RELEASE
| \--- org.grails:grails-datastore-simple:3.0.2.RELEASE
| \--- org.hibernate:hibernate-core:3.6.10.Final
| \--- javax.validation:validation-api:1.0.0.GA
| \--- org.hibernate:hibernate-validator:4.1.0.Final
| \--- org.hibernate:hibernate-entitymanager:3.6.10.Final
| \--- org.hibernate:hibernate-commons-annotations:3.2.0.Final
+--- org.grails.plugins:database-migration:1.3.8
| \--- org.liquibase:liquibase-core:2.0.5
+--- org.grails.plugins:jquery:1.11.0.2
+--- org.grails.plugins:resources:1.2.7
+--- org.grails.plugins:spring-security-core:1.2.7.3
| \--- org.springframework.security:spring-security-core:3.0.7.RELEASE
| \--- org.springframework.security:spring-security-web:3.0.7.RELEASE
+--- org.grails.plugins:mail:1.0.4
| \--- javax.mail:javax.mail-api:1.5.1
| \--- javax.activation:activation:1.1
| \--- com.sun.mail:javax.mail:1.5.1
+--- org.grails.plugins:twitter-bootstrap:3.2.1
+--- org.grails.plugins:kickstart-with-bootstrap:1.1.0
| \--- org.grails.plugins:lesscss-resources:1.3.3
| \--- org.lesscss:lesscss:1.3.3
| \--- commons-logging:commons-logging:1.1.1
| \--- org.apache.commons:commons-lang3:3.1
| \--- org.mozilla:rhino:1.7R4
+--- org.grails.plugins:google-visualization:0.6.2
+--- org.grails.plugins:rendering:1.0.0
| \--- org.xhtmlrenderer:core-renderer:R8
| \--- com.lowagie:itext:2.1.0
| \--- bouncycastle:bcmail-jdk14:136
| \--- bouncycastle:bcprov-jdk14:136
+--- org.grails.plugins:postgresql-extensions:0.6.8
+--- org.grails.plugins:quartz:1.0.2
| \--- org.quartz-scheduler:quartz:2.2.1


A informação >>> org.postgresql:postgresql:9.3-1100-jdbc41
indica que o maven não conseguiu baixar esse jar.

no run-app o erro.

| Error Resolve error obtaining dependencies: Could not transfer artif
esql:postgresql:jar:9.1-901.jdbc4 from/to mavenCentral (http://repo1.m
aven2/): Bad Gateway (502) (Use --stacktrace to see the full trace)
| Error Resolve error obtaining dependencies: Could not transfer artif
esql:postgresql:jar:9.1-901.jdbc4 from/to mavenCentral (http://repo1.m
aven2/): Bad Gateway (502) (Use --stacktrace to see the full trace)
| Error Could not transfer artifact postgresql:postgresql:jar:9.1-901.
/to mavenCentral (http://repo1.maven.org/maven2/): Bad Gateway (502)

BAD GATWAY na Central do Maven - com se os outros jars estão sendo baixados. ? Estranho

Dando run-app novamente tenho outro erro.

| Downloading: postgresql/postgresql/9.1-901.jdbc4/postgresql-9.1-901.jdbc4.jar
| Error Resolve error obtaining dependencies: Could not transfer artifact postgr
esql:postgresql:jar:9.1-901.jdbc4 from/to mavenCentral (http://repo1.maven.org/m
aven2/): Premature end of Content-Length delimited message body (expected: 22167
; received: 963 (Use --stacktrace to see the full trace)
| Error Could not transfer artifact postgresql:postgresql:jar:9.1-901.jdbc4 from
/to mavenCentral (http://repo1.maven.org/maven2/): Premature end of Content-Leng
th delimited message body (expected: 22167; received: 963

Teria com ou baixar esse jar do postgres desabilitando o maven central no arquivo BuilConfig ?

Por favor, se alguém já teve esse erro ou algo parecido e puder me ajudar, ficarei grato.
Desde já agradeço a paciência de ter lido até o final.
Tags: dependência maven


Ainda não faz parte da comunidade???

Para se registrar, clique aqui.


Aprenda Groovy e Grails com a Formação itexto!

Newsletter Semana Groovy

Assinar

Envie seu link!


Livro de Grails


/dev/All

Os melhores blogs de TI (e em português) em um único lugar!

 
Creative Commons
RSS Grails Brasil é mantido por itexto Consultoria.
Em caso de problemas contacte Henrique Lobo Weissmann (Kico) por e-mail: kico@itexto.com.br
Todo o conteúdo presente neste site adota o Creative Commons como licença padrão.
Ver: 4.14.0
itexto